'*******************************************************************************
'  Config LCD
'*******************************************************************************
'*******************************************************************************
'  Pollin NET-IO Board with Atmega32 / 644 / 644P and ENC28J60
'*******************************************************************************
'
'  Copyright bascom-forum.de (C) [2009]  [DON]
'  -> http://bascom-forum.de/index.php?topic=1781.new;topicseen#new
'  Software based on Code by Ben Zijlstra and Viktor Varga
'  Weiterentwickelt von
'    Huetti,
'    Michael
'    boeserkorn
'    mr_energy
'    HansHans
'    six1, Michael Kcher
'    dabuze                            datetime
'    framuel
'
'   http://creativecommons.org/licenses/by-sa/3.0/de/
'
'   Sie drfen:
'
'     * das Werk bzw. den Inhalt vervielfltigen, verbreiten und ffentlich zugnglich machen
'
'     * Abwandlungen und Bearbeitungen des Werkes bzw. Inhaltes anfertigen
'
'   Zu Den Folgenden Bedingungen:
'
'     * Namensnennung.
'       Sie mssen den Namen des Autors/Rechteinhabers in der von ihm festgelegten Weise nennen.
'
'     * Keine kommerzielle Nutzung.
'       Dieses Werk darf nicht fr kommerzielle Zwecke verwendet werden.
'
'     * Weitergabe unter gleichen Bedingungen.
'       Wenn Sie das lizenzierte Werk bzw. den lizenzierten Inhalt bearbeiten
'       oder in anderer Weise erkennbar als Grundlage fr eigenes Schaffen verwenden,
'       drfen Sie die daraufhin neu entstandenen Werke bzw. Inhalte nur
'       unter Verwendung von Lizenzbedingungen weitergeben, die mit denen
'       dieses Lizenzvertrages identisch oder vergleichbar sind.
'
'   Wobei gilt:
'
'     * Verzichtserklrung
'       Jede der vorgenannten Bedingungen kann aufgehoben werden, sofern Sie
'       die ausdrckliche Einwilligung des Rechteinhabers dazu erhalten.
'
'     * Sonstige Rechte
'       Die Lizenz hat keinerlei Einfluss auf die folgenden Rechte:
'          - Die gesetzlichen Schranken des Urheberrechts und sonstigen
'            Befugnisse zur privaten Nutzung
'          - Das Urheberpersnlichkeitsrecht des Rechteinhabers
'          - Rechte anderer Personen, entweder am Lizenzgegenstand selber oder
'            bezglich seiner Verwendung, zum Beispiel Persnlichkeitsrechte abgebildeter Personen.
'
'  Hinweis
'
'      Im Falle einer Verbreitung mssen Sie anderen alle Lizenzbedingungen
'      mitteilen, die fr dieses Werk gelten. Am einfachsten ist es,
'      einen Link auf http://creativecommons.org/licenses/by-sa/3.0/de/ einzubinden.
'

'*******************************************************************************
$nocompile

#if Include_lcd = 1
'Pollin PC1602e LCD ber I2C ADD ON BOARD
' Anschluss PORTD !!! ber zwei Ltbrcken auf Add-On Board zu Stecker EXT1
   $lib "lcd_i2c_pc1602e.lib"                               'Six1 i2c driver for the LCD
'   $lib "lcd_i2c.lib"                                       'i2c driver for the LCD
   Config I2cdelay = 1
   Const Pcf8574_lcd = &H40                                 'Defines the address of the I/O expander for LCD
   Config Scl = Portd.2                                     'Configure i2c SCL
   Config Sda = Portd.4                                     'Configure i2c SDA
   Dim _lcd_e As Byte                                       'Needed to control 4 line LCD
   ' E1=0x80, E2 = 0x40, E1+E2=0xC0
   _lcd_e = &H40
   Initlcd
   Cls
   Locate 1 , 1
   Lcd Processor
   Locate 2 , 1
#endif

#if Include_lcd = 2
' Anschluss ber SUB-D25 Brckenstecker
   $lib "lcd_i2c_pc1602e.lib"                               'Six1 i2c driver for the LCD
'   $lib "lcd_i2c.lib"                                       'i2c driver for the LCD
   Config I2cdelay = 1
   Const Pcf8574_lcd = &H40                                 'Defines the address of the I/O expander for LCD
   Config Scl = Portc.0                                     'Configure i2c SCL
   Config Sda = Portc.1                                     'Configure i2c SDA
   Dim _lcd_e As Byte                                       'Needed to control 4 line LCD
   ' E1=0x80, E2 = 0x40, E1+E2=0xC0
   _lcd_e = &H40
   Initlcd
   Cls
   Locate 1 , 1
   Lcd Processor
   Locate 2 , 1
#endif

#if Include_lcd = 3
   Config Lcdpin = Pin , Db4 = Portd.7 , Db5 = Portd.6 , Db6 = Portd.2 , Db7 = Portd.4 , E = Portb.0 , Rs = Portb.3
   Waitms 50
   Initlcd
   Waitms 100                                               'wait for display
   Cursor Off
   Locate 1 , 1
   Lcd Processor
   Locate 2 , 1
#endif

'original Pollin Display auf EXT Pollin Board
#if Include_lcd = 4
   Config Lcd = 16 * 2                                      ' sonst macht der erst 8*2
   Config Lcdpin = Pin , Db4 = Portd.4 , Db5 = Portd.5 , Db6 = Portd.6 , Db7 = Portd.7 , E = Portb.0 , Rs = Portd.3
   Config Portd.2 = Output                                  'PORTD.2 auf OUTPUT fr Org Pollin Beschaltung
   Portd.2 = 0                                              'und auf 0 setzen
   Waitms 50
   Initlcd
   Waitms 150                                               'wait for display
   Cursor Off
   Locate 1 , 1
   Lcd Processor;
   Locate 2 , 1
#endif

 #if Include_lcd = 5
   'EDIT HH

      ' Httis,HansHans  LCD
   Config Lcdpin = Pin , Db4 = Portd.5 , Db5 = Portd.4 , Db6 = Portd.3 , Db7 = Portd.2 , E = Portd.6 , Rs = Portd.7

   Waitms 50
   Initlcd
   Waitms 100                                               'wait for display
   Cursor Off
   Locate 1 , 1
   Lcd Processor
   Locate 2 , 1
#endif